GRUB-FSTEST(1)

NAMN
grub-fstest — felsökningsverktyg för GRUB:s filsystemsdrivrutiner

SYNOPSIS
grub-fstest [FLAGGA...] IMAGE_PATH KOMMANDON

BESKRIVNING
Felsökningsverktyg för filsystemsdrivrutin.

    Kommandon:

blocklist FIL
    Visa blocklista för FIL.

cat FIL
    Kopiera FIL till standard ut.

cmp FIL LOKAL
    Jämför FIL med lokala filen LOKAL.

cp FIL LOKAL
    Kopiera FIL till lokala filen LOKAL.

crc FIL
    Hämta crc32-kontrollsumma för FIL.

hex FIL
    Visa innehållet av FILE i hex.

ls SÖKVÄG
    Lista filer i SÖKVÄG.

xnu_uuid ENHET
    Beräkna XNU UUID för enhet.

-c, --diskcount=ANTAL
    Specificera antalet inmatningsfiler.

-C, --crypto
    Montera krypterade enheter.

-d, --debug=STRÄNG
    Sätt miljövariabler för felsökning.

-K, --zfs-key=FIL|prompt
    Läs in kryptonyckel för zfs.

-n, --length=N
    Hantera N byte i utdatafilen.

-r, --root=ENHETSNAMN
    Ange rotenhet.

-s, --skip=N
    Hoppa över N byte från utmatningsfil.

-u, --uncompress
    Okomprimerad data.

-v, --verbose
    skriv ut informativa meddelanden.

-?, --help
    visa denna hjälplista

--usage
    ge ett kort användningsmeddelande

-V, --version
    skriv ut programversion

Obligatoriska eller valfria argument till långa flaggor är också obligatoriska eller valfria för motsvarande korta flaggor.

SE ÄVEN
grub-probe(8)

Den fullständiga dokumentationen för grub-fstest underhålls som en Texinfo-manual. Om programmen info och grub-fstest är ordentligt installerade på ditt system, bör kommandot

    info grub-fstest

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.